#include <stdio.h>
#include <stdlib.h>
#include "mylib.h"

/*
 * localalign [-M num] [-m num] [-g num] seq1file seq2file 
 */ 
int	main(int argc, char *argv[]) {
  char *seq1, *name1;
  int size1;
  char *seq2, *name2;
  int size2;

  int **mat;
  FILE *f;

  /* read parameters */


  
  /* read first sequence */
  argc--; argv++;
  f=fopen(argv[0],"r");
  if (f==NULL) perror(argv[0]);

  size1 = readsequence( f, &seq1, &name1 );
  
  if (size1!=0) 
    printf( "file %s with %d bases ( %c%c%c ... %c%c%c ): %s\n",
	    argv[0], size1, seq1[0], seq1[1], seq1[2],
	    seq1[size1-3], seq1[size1-2], seq1[size1-1], name1 );
  else
    printf( "file %s has not a DNA sequence in FASTA format\n", argv[0] );


  /* read second sequence */
  argc--; argv++;
  f=fopen(argv[0],"r");
  if (f==NULL) perror(argv[0]);

  size2 = readsequence( f, &seq2, &name2 );
  
  if (size2!=0) 
    printf( "file %s with %d bases ( %c%c%c ... %c%c%c ): %s\n",
	    argv[0], size2, seq2[0], seq2[1], seq2[2],
	    seq2[size2-3], seq2[size2-2], seq2[size2-1], name2 );
  else
    printf( "file %s has not a DNA sequence in FASTA format\n", argv[0] );


  mat = allocmatrix(size1+1,size2+1);

  /* examples for mat usage */ 
  mat[0][0]=0;
  mat[size1][size2]=0;

  return 0;
}
